Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest Class Referenceabstract
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest:
[legend]

## Classes
class | MsBuildJob

## Protected Member Functions
| BaseMsBuildBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
bool | BuildMsBuild (string msbuild, MsBuildJob job)
bool | BuildMsBuild (string msbuild, MsBuildJob job, string additionalParameters)
string | BuildMsBuild (string msbuild, string fileName, string configuration)
string | BuildMsBuild (string msbuild, string fileName, string configuration, string additionalParameters)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
virtual JobQueue | GetJobs ()
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Additional Inherited Members
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ BaseMsBuildBuildTest()

Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest.BaseMsBuildBuildTest | ( | string | testName,
|  | string | buildFileExtension,
|  | bool | preserveWarnings,
|  | bool | buildInMultiThread )
| protected

## Member Function Documentation

## ◆ BuildMsBuild() [1/4]

bool Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest.BuildMsBuild | ( | string | msbuild,
|  | MsBuildJob | job )
| protected

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BuildMsBuild() [2/4]

bool Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest.BuildMsBuild | ( | string | msbuild,
|  | MsBuildJob | job,
|  | string | additionalParameters )
| protected

Here is the call graph for this function:

## ◆ BuildMsBuild() [3/4]

string Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest.BuildMsBuild | ( | string | msbuild,
|  | string | fileName,
|  | string | configuration )
| protected

Here is the call graph for this function:

## ◆ BuildMsBuild() [4/4]

string Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest.BuildMsBuild | ( | string | msbuild,
|  | string | fileName,
|  | string | configuration,
|  | string | additionalParameters )
| protected

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/BaseMsBuildBuildTest.cs